# Generated by Django 4.2.1 on 2023-05-28 17:02

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('organization', '0003_service_image'),
    ]

    operations = [
        migrations.AlterField(
            model_name='servicequeue',
            name='service',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='service_queues', to='organization.service', verbose_name='Service'),
        ),
        migrations.AlterField(
            model_name='servicequeue',
            name='service_time',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='service_queues', to='organization.serviceworkingtime', verbose_name='Service time'),
        ),
        migrations.AlterField(
            model_name='serviceworkingtime',
            name='day',
            field=models.SmallIntegerField(choices=[(0, 'Monday'), (1, 'Tuesday'), (2, 'Wednesday'), (3, 'Thursday'), (4, 'Friday'), (5, 'Saturday'), (6, 'Sunday')], verbose_name='Day'),
        ),
        migrations.AlterField(
            model_name='serviceworkingtime',
            name='service',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='working_times', to='organization.service', verbose_name='Service'),
        ),
        migrations.DeleteModel(
            name='ServiceImage',
        ),
    ]
